Bug 287871 - bad udev rule
bad udev rule
Product: Fedora
Classification: Fedora
Component: openct (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-12 12:00 EDT by Harald Hoyer
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.14-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-21 15:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-09-12 12:00:48 EDT
# sleep for 100ms - the wait_for_sysfs might not be enough
PROGRAM="/bin/sleep 0.1"

This causes udev to sleep for _every_ usb "add" event... Are you sure this is
Comment 1 Ville Skyttä 2007-09-12 13:46:35 EDT
I'm not sure, but FWIW, Kay Sievers (udev upstream) has been involved with some
rule fixes for 0.6.14 (see NEWS).  Commenting the sleep out does not appear to
break anything on my F7 system though - tested with a USB Aladdin eToken.

Anyway, I'm about to orphan/look for new maintainers for the stack of smart card
related packages I maintain in Fedora (opensc, openct, pcsc-tools, pcsc-perl)
because the only thing I've used smart cards for in a while is in order to
maintain these packages.  Therefore I'd rather leave things like this bug report
to someone who actually uses the packages for something real.  Would you happen
to be interested in taking maintainership of openct or some of the others?
Comment 2 Harald Hoyer 2007-09-12 14:25:35 EDT
I do not use openct. Just installed all packages with udev rules and reviewed
them. Sorry...
Comment 3 Kay Sievers 2007-09-19 18:25:31 EDT
I just changed the script that finds the device to talk to, to support all
versions of usb device nodes. I didn't touch the rules.

I agree, it's not nice to have this sleep in there, and I don't know if it's
needed, or not maybe not needed anymore. Would be good to remove it and see if
it causes problems.
Comment 4 Ville Skyttä 2007-09-21 15:06:16 EDT
Ok, thanks for the clarification and opinion, Kay.  Done in 0.6.14-2.fc8.

Note You need to log in before you can comment on or make changes to this bug.